close all

Param.ChoixTrajectoire = ChoixTrajectoire; 
Param.g  = g;
Param.m   = m;
Param.mo  = m0;
Param.m1  = m1;
Param.m2  = m2;
Param.m3  = m3;
Param.m4  = m4;
Param.x11 = x11;
Param.x12 = x12;
Param.x13 = x13;
Param.x21 = x21;
Param.x22 = x22;
Param.x23 = x23;
Param.x31 = x31;
Param.x32 = x32;
Param.x33 = x33;
Param.x41 = x41;
Param.x42 = x42;
Param.x43 = x43;
Param.KP = KP;
Param.KD = KD;

switch ChoixTrajectoire

  case 0 
      
     x1     = initial_x(1);
     x1d    = 0;
     x1dd   = 0;
     x1ddd  = 0;
     x1dddd = 0;
      
     x2     = initial_x(2);
     x2d    = 0;
     x2dd   = 0;
     x2ddd  = 0;
     x2dddd = 0;
     
     x3     = initial_x(3);
     x3d    = 0;
     x3dd   = 0;
     x3ddd  = 0;
     x3dddd = 0;
     
     x03     = initial_x(4);
     x03d    = 0;
     x03dd   = 0;
     x03ddd  = 0;
     x03dddd = 0;
     
    [Param.Xinit] = ConditionInitiale(x1,x1d,x1dd,x1ddd,x1dddd,x2,x2d,x2dd,x2ddd,x2dddd,x3,x3d,x3dd,x3ddd,x3dddd,x03,x03d,x03dd,x03ddd,x03dddd,Param);
    
  case 1 
  
     [x1,x1d,x1dd,x1ddd,x1dddd,x2,x2d,x2dd,x2ddd,x2dddd,x3,x3d,x3dd,x3ddd,x3dddd] = TrajPoly(initial_x,final_x,final_time-initial_time,t-initial_time);        
     
     x03     = initial_x(4);
     x03d    = 0;
     x03dd   = 0;
     x03ddd  = 0;
     x03dddd = 0;
     
    [Param.Xinit ] = ConditionInitiale(x1,x1d,x1dd,x1ddd,x1dddd,x2,x2d,x2dd,x2ddd,x2dddd,x3,x3d,x3dd,x3ddd,x3dddd,x03,x03d,x03dd,x03ddd,x03dddd,Param);
     
  case 2 
     [x1,x1d,x1dd,x1ddd,x1dddd,x2,x2d,x2dd,x2ddd,x2dddd,x3,x3d,x3dd,x3ddd,x3dddd] = TrajCercle(initial_x,final_x,rayon,fre1,final_time-initial_time,t-initial_time);
     
     coor_x = initial_x(1)-rayon;
     coor_y = initial_x(2);
     x1     = x1 + coor_x;
     x2     = x2 + coor_y;
     
     x03     = initial_x(4);
     x03d    = 0;
     x03dd   = 0;
     x03ddd  = 0;
     x03dddd = 0;
     
     [Param.Xinit ] = ConditionInitiale(x1,x1d,x1dd,x1ddd,x1dddd,x2,x2d,x2dd,x2ddd,x2dddd,x3,x3d,x3dd,x3ddd,x3dddd,x03,x03d,x03dd,x03ddd,x03dddd,Param);
  
   case 3
     [x1,x1d,x1dd,x1ddd,x1dddd,x2,x2d,x2dd,x2ddd,x2dddd,x3,x3d,x3dd,x3ddd,x3dddd] = Lissajou(initial_x,final_x,rayon,fre1,fre2,final_time-initial_time,t-initial_time);
     
     coor_x = initial_x(1)-rayon;
     coor_y = initial_x(2);
     x1     = x1 + coor_x;
     x2     = x2 + coor_y;
     
     x03     = initial_x(4);
     x03d    = 0;
     x03dd   = 0;
     x03ddd  = 0;
     x03dddd = 0;
     
     [Param.Xinit ] = ConditionInitiale(x1,x1d,x1dd,x1ddd,x1dddd,x2,x2d,x2dd,x2ddd,x2dddd,x3,x3d,x3dd,x3ddd,x3dddd,x03,x03d,x03dd,x03ddd,x03dddd,Param);
 
    otherwise
    error(['unhandled flag = ',num2str(flag)]);
end
