% Compute zeros
echo off;

Kproduct = k12 * k21;

if (pairing >= 0)
   ds = [1 10 51 (148-6.75*Kproduct) (259-47.25*Kproduct) (234-108*Kproduct) 81*(1-Kproduct)];
else
   ds = [4 (18*k12+40) (144*k12+6*(k21+22)) (27*k12*(k21+14)+2*(27*k21+80)) (9*k12*(21*k21+44)+52*(3*k21-5)) (144*k12*(3*k21+1)+72*(2*k21-9)) 324*k12*k21-324];
end
zeros = roots (ds);
zerosX = real (zeros);
zerosY = imag (zeros); 
zeros = [zerosX , zerosY]';

% Compute singular values

H = [0 tf(3*k12*[1 5 6], [2 10 26 18]) ; tf(9*k21*[1 2] ,[2 10 26 18]) 0];

[sv, w] = sigma (H, {0.1, 10});
if sigmas_view == 1 
   grid on;
   semilogx (w, sv);
else
   close;
end





